Bug 250349 - [pata_pdc202xx_old]: Frequent ATA bus errors (timeout) logged
[pata_pdc202xx_old]: Frequent ATA bus errors (timeout) logged
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Martuccelli
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-31 19:55 EDT by David Campbell
Modified: 2009-12-18 00:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 00:57:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg from 2.6.22.5-76.fc7 (31.23 KB, text/plain)
2007-09-24 20:15 EDT, David Campbell
no flags Details
lspci output as requested (27.30 KB, text/plain)
2007-09-24 22:28 EDT, David Campbell
no flags Details
new dmesg.txt with options libata pata_dma=0 configured (36.50 KB, text/plain)
2007-09-26 09:14 EDT, David Campbell
no flags Details
pata errors still happening with "options libata pata_dma=0" (1.61 KB, text/plain)
2007-10-04 23:02 EDT, David Campbell
no flags Details
dmesg for dell d630 on 2.6.22.9-91.fc7 (24.60 KB, text/plain)
2007-10-14 13:26 EDT, Rui Matos
no flags Details

  None (edit)
Description David Campbell 2007-07-31 19:55:00 EDT
Description of problem:

Disks under load very regularly gives errors like this...

Jul 31 09:52:18 Vigor12 kernel: ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 a
ction 0x2
Jul 31 09:52:18 Vigor12 kernel: ata1.00: (BMDMA stat 0x4)
Jul 31 09:52:18 Vigor12 kernel: ata1.00: cmd c8/00:08:17:ed:e9/00:00:00:00:00/e6
 tag 0 cdb 0x0 data 4096 in
Jul 31 09:52:18 Vigor12 kernel:          res 51/84:00:1e:ed:e9/00:00:00:00:00/e6
 Emask 0x10 (ATA bus error)
Jul 31 09:52:18 Vigor12 kernel: ata1: soft resetting port
Jul 31 09:52:19 Vigor12 kernel: ata1.00: configured for UDMA/100
Jul 31 09:52:19 Vigor12 kernel: ata1: EH complete

Jul 31 10:12:18 Vigor12 kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 a
ction 0x2
Jul 31 10:12:18 Vigor12 kernel: ata2.00: (BMDMA stat 0x4)
Jul 31 10:12:18 Vigor12 kernel: ata2.00: cmd ca/00:10:e8:ac:c7/00:00:00:00:00/e4
 tag 0 cdb 0x0 data 8192 out
Jul 31 10:12:18 Vigor12 kernel:          res 51/84:00:f7:ac:c7/00:00:00:00:00/e4
 Emask 0x10 (ATA bus error)
Jul 31 10:12:18 Vigor12 kernel: ata2: soft resetting port
Jul 31 10:12:18 Vigor12 kernel: ata2.00: configured for UDMA/100
Jul 31 10:12:18 Vigor12 kernel: ata2: EH complete

Someone else reports that they have the same problem with their SATA drives
under load at http://www.fedoraforum.org/forum/showthread.php?t=162068

I have two internal IDE drives and my computer that the kernel reports as follows:

Jul 31 21:29:55 Vigor12 kernel: scsi0 : pata_pdc202xx_old
Jul 31 21:29:55 Vigor12 kernel: scsi1 : pata_pdc202xx_old
Jul 31 21:29:55 Vigor12 kernel: ata1: PATA max UDMA/100 cmd 0x00014450 ctl 0x000
14446 bmdma 0x00014400 irq 18
Jul 31 21:29:55 Vigor12 kernel: ata2: PATA max UDMA/100 cmd 0x00014448 ctl 0x000
14442 bmdma 0x00014408 irq 18
Jul 31 21:29:55 Vigor12 kernel: ata1.00: ATA-6: HTS726060M9AT00, MH4OA68A, max U
DMA/100
Jul 31 21:29:55 Vigor12 kernel: ata1.00: 117210240 sectors, multi 16: LBA48 
Jul 31 21:29:55 Vigor12 kernel: ata1.00: configured for UDMA/100
Jul 31 21:29:55 Vigor12 kernel: ata2.00: ATA-6: HTS721010G9AT00, MCZOA51A, max U
DMA/100
Jul 31 21:29:55 Vigor12 kernel: ata2.00: 195371568 sectors, multi 16: LBA48 
Jul 31 21:29:55 Vigor12 kernel: ata2.00: configured for UDMA/100
Jul 31 21:29:55 Vigor12 kernel: scsi 0:0:0:0: Direct-Access     ATA      HTS7260
60M9AT00  MH4O PQ: 0 ANSI: 5

Version-Release number of selected component (if applicable):

2.6.22.1-27.fc7
also happens on the kernel installed from the f7 installation DVD

How reproducible:

Put the disks under load by copying files around and it happens very regularly
though not predictably.
 
Actual results:

Exceptions logged by kernel

Expected results:

No exceptions

Additional info:
Comment 1 David Campbell 2007-08-05 20:55:41 EDT
Same thing on 2.6.22.1-41.fc7
Comment 2 Christopher Brown 2007-09-21 09:43:25 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel? If so, it might help to
attach the output from:

# lspci -vvxxx

to enable to developers to debug your issue quicker.

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 3 David Campbell 2007-09-24 20:15:21 EDT
Created attachment 204681 [details]
dmesg from 2.6.22.5-76.fc7

This problem still happens under 2.6.22.5-76.fc7 and I attach the dmesg output
Comment 4 Christopher Brown 2007-09-24 21:03:06 EDT
I have re-assigned this bug to the relevant maintainer - if you could attach the
lspci output as requested that would assist greatly. You might like to try
adding the following line to your modprobe.conf file:

options libata pata_dma=0

which disables dma for your system.

Note: this is a vmware system (though probably not the cause of your issue here).
Comment 5 David Campbell 2007-09-24 22:28:45 EDT
Created attachment 204771 [details]
lspci output as requested
Comment 6 David Campbell 2007-09-25 18:48:02 EDT
I installed "options libata pata_dma=0" and I haven't seen any of the error
messages since (I'll keep watch), but I'm not particularly excited about the
change, as disabling dma would slow things down.
Comment 7 Alan Cox 2007-09-25 19:16:13 EDT
Ok thats useful to know, so it looks like a DMA timing/tuning problem mostly.

If you really hammer just one disk with the other disk idle do you get timeouts
or do both need to be busy at the same time >?

dmesg would be handy as well (boot messages - doesn't need a timeout in them)
just so  I can see the ful configuration.
Comment 8 David Campbell 2007-09-25 21:28:20 EDT
I was able to get errors to happen with only one disk active.

For dmesg, lspci etc, see very recent attachment in
https://bugzilla.redhat.com/show_bug.cgi?id=250683
Comment 9 David Campbell 2007-09-26 09:14:31 EDT
Created attachment 207031 [details]
new dmesg.txt with options libata pata_dma=0 configured

I have the following in /etc/modprobe.conf and have booted with it:
  # disable pata dma
  options libata pata_dma=0

Now I can see the attached dmesg.txt with plenty of ATA bus errors.
Comment 10 David Campbell 2007-10-04 23:02:05 EDT
Created attachment 217001 [details]
pata errors still happening with "options libata pata_dma=0"

I installed "options libata pata_dma=0" and it is in /etc/modprobe.conf and
have booted with it:
  # disable pata dma
  options libata pata_dma=0

But I'm still seeing these DMA errors as attached.  My system doesn't have
SATA, only PATA.
Comment 11 Chuck Ebbert 2007-10-05 18:22:14 EDT
You need to rebuild the initrd using the mkinitrd command to get the option to work.
Comment 12 Rui Matos 2007-10-14 13:23:39 EDT
I was going to file a new bug but I think this one is the same.

I am also seeing these (random?) errors on a dell laptop D630. I'm going to
attach the dmesg.
Comment 13 Rui Matos 2007-10-14 13:26:25 EDT
Created attachment 226691 [details]
dmesg for dell d630 on 2.6.22.9-91.fc7
Comment 14 Alan Cox 2007-11-08 09:29:28 EST
Rui - unrelated problem. Yours appears to be a drive not following protocol -
we've seen a few cases where that appears to occur and the kernel will turn off
NCQ after a couple of errors and carry on
Comment 15 Rui Matos 2007-11-08 09:37:21 EST
Ok, thanks for the info. Though, it would be nice if the kernel stopped
complaining, maybe by special casing those drives.
Comment 16 Alan Cox 2007-11-08 09:52:58 EST
Rui - its important for us as developers to be able to track those problem
cases, and since we find new drives doing this we can't really special case them
before we know about them.
Comment 17 David Campbell 2007-11-15 22:29:52 EST
Same issue in f8, kernel 2.6.23.1-49.fc8

ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2
ata2.00: BMDMA stat 0x4
ata2.00: cmd ca/00:08:08:27:e2/00:00:00:00:00/e4 tag 0 cdb 0x0 data 4096 out
         res 51/84:00:0f:27:e2/00:00:00:00:00/e4 Emask 0x10 (ATA bus error)
ata2: soft resetting port
ata2.00: configured for UDMA/100
ata2: EH complete
sd 1:0:0:0: [sdb] 195371568 512-byte hardware sectors (100030 MB)
sd 1:0:0:0: [sdb] Write Protect is off
sd 1:0:0:0: [sdb] Mode Sense: 00 3a 00 00
sd 1:0:0:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
Comment 18 David Campbell 2007-11-28 16:04:14 EST
These ata errors are continually happening...

The below seems to indicate that as the errors progress, the I/O settings gets
slower and slower, going from UDMA to PIO and all the while, the errors still
happen...

[dcampbel@host15-101 ~]$ dmesg |grep "ata3.00.*max"
ata3.00: ATAPI: PIONEER DVD-RW DVR-K14RA, 1.00, max UDMA/33

[dcampbel@host15-101 ~]$ dmesg |grep "ata3.00.*configured for"
ata3.00: configured for UDMA/33
ata3.00: configured for UDMA/33
ata3.00: configured for UDMA/33
ata3.00: configured for UDMA/33
ata3.00: configured for UDMA/33
ata3.00: configured for UDMA/33
ata3.00: configured for UDMA/33
ata3.00: configured for UDMA/25
ata3.00: configured for UDMA/25
ata3.00: configured for UDMA/25
ata3.00: configured for UDMA/25
ata3.00: configured for UDMA/25
ata3.00: configured for UDMA/25
ata3.00: configured for UDMA/25
ata3.00: configured for UDMA/25
ata3.00: configured for UDMA/25
ata3.00: configured for UDMA/25
ata3.00: configured for UDMA/25
ata3.00: configured for PIO4
ata3.00: configured for PIO4
ata3.00: configured for PIO4
ata3.00: configured for PIO4
ata3.00: configured for PIO3
ata3.00: configured for PIO3
ata3.00: configured for PIO3
ata3.00: configured for PIO3
ata3.00: configured for PIO0
ata3.00: configured for PIO0
ata3.00: configured for PIO0
ata3.00: configured for PIO0
In more detail....

ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x0 data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3: soft resetting port
ata3.00: configured for UDMA/33
ata3: EH complete
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x0 data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3: soft resetting port
ata3.00: configured for UDMA/33
ata3: EH complete
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x0 data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3: soft resetting port
ata3.00: configured for UDMA/33
ata3: EH complete
ata3.00: limiting speed to UDMA/25:PIO4
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x0 data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3: soft resetting port
ata3.00: configured for UDMA/25
ata3: EH complete
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x0 data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3: soft resetting port
ata3.00: configured for UDMA/25
ata3: EH complete
ata3.00: qc timeout (cmd 0xa0)
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x0 data 0 
         res 51/20:03:00:00:00/00:00:00:00:00/a0 Emask 0x5 (timeout)
ata3: soft resetting port
ata3.00: configured for UDMA/25
ata3: EH pending after completion, repeating EH (cnt=4)
ata3: EH complete
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x0 data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3: soft resetting port
ata3.00: configured for UDMA/25
ata3: EH complete
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x0 data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3: soft resetting port
ata3.00: configured for UDMA/25
ata3: EH complete
sr0: CDROM (ioctl) error, command: Test Unit Ready 00 00 00 00 00 00
sr: Sense Key : Aborted Command [current] [descriptor]
sr: Add. Sense: No additional sense information
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x1e data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3: soft resetting port
ata3.00: configured for UDMA/25
ata3: EH complete
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x1e data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3: soft resetting port
ata3.00: configured for UDMA/25
ata3: EH complete
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x1e data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3: soft resetting port
ata3.00: configured for UDMA/25
ata3: EH complete
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x1e data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3: soft resetting port
ata3.00: configured for UDMA/25
ata3: EH complete
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x1e data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3: soft resetting port
ata3.00: configured for UDMA/25
ata3: EH complete
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x1e data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3: soft resetting port
ata3.00: configured for UDMA/25
ata3: EH complete
sr 2:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] [descriptor]
   : Add. Sense: No additional sense information
ata3.00: limiting speed to PIO4
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x0 data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3: soft resetting port
ata3.00: configured for PIO4
ata3: EH complete
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x0 data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3: soft resetting port
ata3.00: configured for PIO4
ata3: EH complete
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x0 data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3: soft resetting port
ata3.00: configured for PIO4
ata3: EH complete
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x0 data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3: soft resetting port
ata3.00: configured for PIO4
ata3: EH complete
ata3.00: qc timeout (cmd 0xa0)
ata3.00: limiting speed to PIO3
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x0 data 0 
         res 51/20:03:00:00:00/00:00:00:00:00/a0 Emask 0x5 (timeout)
ata3: soft resetting port
ata3.00: configured for PIO3
ata3: EH pending after completion, repeating EH (cnt=4)
ata3: EH complete
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x0 data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3: soft resetting port
ata3.00: configured for PIO3
ata3: EH complete
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x0 data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3: soft resetting port
ata3.00: configured for PIO3
ata3: EH complete
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x0 data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3: soft resetting port
ata3.00: configured for PIO3
ata3: EH complete
sr0: CDROM (ioctl) error, command: Test Unit Ready 00 00 00 00 00 00
sr: Sense Key : Aborted Command [current] [descriptor]
sr: Add. Sense: No additional sense information
ata3.00: limiting speed to PIO0
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x1e data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3: soft resetting port
ata3.00: configured for PIO0
ata3: EH complete
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x1e data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3: soft resetting port
ata3.00: configured for PIO0
ata3: EH complete
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x1e data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3: soft resetting port
ata3.00: configured for PIO0
ata3: EH complete
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x1e data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3: soft resetting port
ata3.00: configured for PIO0
ata3: EH complete
Comment 19 Alan Cox 2008-01-18 15:45:53 EST
I've duplicated the ATAPI failure case and now have a 20237 card installed in a
test box. I've not yet been able to duplicate the ATA disk reports but need to
try with a hitachi drive rather than a maxtor in case its vendor specific.
Comment 20 David Campbell 2008-02-24 05:44:36 EST
You can see from above and from below that the problem is happening with my DVD
drive (Pioneer as above) and with my Hitachi drive (below).

I'm still getting trouble here using the 2.6.23.15-137.fc8 kernel.  The kernel
is ending up reducing the speed of the drive down to PIO....

I'm sure you can appreciate this gives lousy drive performance.

ata1: PATA max UDMA/100 cmd 0x00014450 ctl 0x00014446 bmdma 0x00014400 irq 19
ata1.00: ATA-6: HTS726060M9AT00, MH4OA68A, max UDMA/100
ata1.00: 117210240 sectors, multi 16: LBA48 
ata1.00: configured for UDMA/100
.... errors
ata1: soft resetting port
ata1.00: configured for UDMA/66
.... errors
ata1: soft resetting port
ata1.00: configured for UDMA/33
.... errors
ata1: EH complete
sd 0:0:0:0: [sda] 117210240 512-byte hardware sectors (60012 MB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
ata1.00: limiting speed to PIO4
ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2
ata1.00: BMDMA stat 0x4
ata1.00: cmd c8/00:04:c8:58:a4/00:00:00:00:00/e1 tag 0 cdb 0x0 data 2048 in
ata1: soft resetting port
ata1.00: configured for PIO4
ata1: EH complete
sd 0:0:0:0: [sda] 117210240 512-byte hardware sectors (60012 MB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO
or FUA

Comment 21 Bug Zapper 2008-11-26 02:37:39 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 David Campbell 2008-12-07 07:52:01 EST
Same problem in F10:

Nov 27 01:17:41 localhost kernel: ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6
Nov 27 01:17:41 localhost kernel: ata3.00: BMDMA stat 0x4
Nov 27 01:17:41 localhost kernel: ata3.00: cmd c8/00:04:66:ef:17/00:00:00:00:00/e1 tag 0 dma 2048 in
Nov 27 01:17:41 localhost kernel:         res 51/84:00:69:ef:17/00:00:00:00:00/e1 Emask 0x10 (ATA bus error)
Nov 27 01:17:41 localhost kernel: ata3.00: status: { DRDY ERR }
Nov 27 01:17:41 localhost kernel: ata3.00: error: { ICRC ABRT }
Nov 27 01:17:41 localhost kernel: ata3: soft resetting link
Comment 24 Bug Zapper 2009-11-18 05:07:18 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 25 Bug Zapper 2009-12-18 00:57:33 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.